/** Creamos una imagen de prueba **/

#include <stdio.h>
#include "matrix.h"
#include "pnm.h"

int main( )
{
	MATRIX * Img;
	unsigned char **p;
	int i, j;

	/** Reservar memoria para la imagen **/
	Img = matrix_allocate( 255, 200, 1 );

	p = (unsigned char **) Img->ptr;
	for( i=0; i<100; i++ ) {
		for( j=0; j<200; j++ ) {
			p[i][j] = i;
		}
	}

	if ( !write_pnm( Img, "prueba.pgm" ) ) {
		fprintf( stderr, "Ok!\n" );
	}
	else
		fprintf( stderr, "Error!\n" );


	return 0;
}
